Package org.zkoss.stateless.sul

## Enum IRadiogroup.Orient

- java.lang.Object
- - java.lang.Enum<IRadiogroup.Orient>
  - - org.zkoss.stateless.sul.IRadiogroup.Orient

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IRadiogroup.Orient>`
  Enclosing interface:
    IRadiogroup<I extends IAnyGroup>

      public static enum IRadiogroup.Orient
      extends java.lang.Enum<IRadiogroup.Orient>

  Specifies the orient of `IRadiogroup` component

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HORIZONTAL` | The horizontal orient.
    `VERTICAL` | The vertical orient.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IRadiogroup.Orient` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IRadiogroup.Orient[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final IRadiogroup.Orient HORIZONTAL

      The horizontal orient.

    - #### VERTICAL

          public static final IRadiogroup.Orient VERTICAL

      The vertical orient.

  - ### Method Detail

    - #### values

          public static IRadiogroup.Orient[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRadiogroup.Orient c : IRadiogroup.Orient.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRadiogroup.Orient valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null